[OS] Debian Stretch

Moderators: mdrjr, odroid

Re: [OS] Debian Stretch

Unread postby skyfly555 » Mon Apr 02, 2018 6:02 am

Hello, Meveric, thank you!

Now the wifi dongle is detected, and it scans, but I cannot configure it as an AP because hostapd seems not to recognise it.

If I type
Code: Select all
iwconfig wlan0 mode master
the led of the wifi dongle blinks, that's what I have with RPi2 when it works.
But when I type
Code: Select all
iwconfig
it's unassociated.
Code: Select all
wlan0     unassociated  Nickname:"<WIFI@REALTEK>"
          Mode:Master  Frequency=2.412 GHz  Access Point: Not-Associated   
          Sensitivity:0/0 
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


This webpage https://github.com/jekader/hostapd-rtl/issues/12 says it can be related to the hostapd version and it recommends to install v2.3 and above; I've seen in Odroid C2 this hostapd (2:2.4-1+deb9u1) is installed.

Can it be related? Can I try to install a newer hostapd version (I don't know how to do that)?

Thank you again,
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby meveric » Mon Apr 02, 2018 6:10 am

well version 2.4 seems to be higher than 2.3 so at least that port should be covered.
But I don't know what else is needed, as I haven't used hostapd yet.

But apparently there is a lot of configuration involved before you can use the iwconfig wlan0 mode master command.

Have you checked all the config files? Maybe you should post these files here so others can help you figure out if you did some misconfiguration.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby skyfly555 » Mon Apr 02, 2018 6:24 am

I've tried it following these instructions https://github.com/igorpecovnik/hostapd

It install hostapd v2.5 but it seems I have the same issue.
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby meveric » Mon Apr 02, 2018 6:29 am

once again, maybe it's not hostapd that's the issue, but your configuration.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby skyfly555 » Tue Apr 03, 2018 2:48 am

Thank you, Meveric. It's strange because I've followed the same steps I did to create the Wifi HotSpot with the same Wifi dongle with DietPi and RPi2.
I even created this tutorial: https://disq.us/url?url=https%3A%2F%2Fwww.dropbox.com%2Fs%2Ff5y1a8qw4qrghti%2FRPi-GateSentryFilter-PiHole-WIFI-AP-HTTP-Transparent-Proxy.pdf%3Fdl%3D1%3AZpkBDvB_7BRV6kqoqGHT8hIxGf8&cuid=5243175 explaining it, among other things.

My last attempt to get it working has been:
1- Download the V2 linux drivers from TP-LINK site https://www.tp-link.com/us/download/TL-WN722N_V2.html#Driver
2- Unzip it
3-
Code: Select all
make

I get:
Code: Select all
root@odroid-stretch64:~/rtl8188EUS_linux_v4.3.0.8_13968.20150417# make
"******************************************"
"NO SKRC,we will use default KSRC"
"******************************************"
make ARCH=aarch64 CROSS_COMPILE= -C /lib/modules/3.16.55+/build M=/root/rtl8188EUS_linux_v4.3.0.8_13968.20150417  modules
make[1]: Entering directory '/usr/src/linux-headers-3.16.55+'
Makefile:618: arch/aarch64/Makefile: No such file or directory
make[1]: *** No rule to make target 'arch/aarch64/Makefile'.  Stop.
make[1]: Leaving directory '/usr/src/linux-headers-3.16.55+'
Makefile:1366: recipe for target 'modules' failed
make: *** [modules] Error 2


I don't know how to compile drivers, I hoped "make" would be enough.
4- I've tried it, too, with Dietpi based on your Debian Jessie, and it's worse, because it says there aren't linux headers.

But don't care about all this! You don't need to support any wifi dongles :) It's my problem :)
And you have helped me a lot with SoftEther.

So, thank you again,
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby skyfly555 » Tue Apr 03, 2018 3:30 am

Hello, it's me again :)

I've tried with my Edimax N150, it's the same Realtek 8188 than the TP-LINK WN722, but in their webpage there are another drivers: https://www.edimax.com/edimax/download/ ... /ew-7811un

I've tried the same and I get the same errors:
Authentication requested [root] for make driver:
install.sh: 48: [: unexpected operator
make ARCH=aarch64 CROSS_COMPILE= -C /lib/modules/3.16.55+/build M=/root/RTL8188C_8192C_USB_linux_v4.0.2_9000.20130911/driver/rtl8188C_8192C_usb_linux_v4.0.2_9000.20130911 modules
make[1]: Entering directory '/usr/src/linux-headers-3.16.55+'
Makefile:618: arch/aarch64/Makefile: No such file or directory
make[1]: *** No rule to make target 'arch/aarch64/Makefile'. Stop.
make[1]: Leaving directory '/usr/src/linux-headers-3.16.55+'
Makefile:584: recipe for target 'modules' failed
make: *** [modules] Error 2
##################################################
Compile make driver error: 2
Please check error Mesg
##################################################

Does this want to say it should be something in arch/aarch64/Makefile and it's inside /usr/src/linux-headers-3.16.55+ folder?

Thanks for clarifying my doubts about this issue,
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby meveric » Tue Apr 03, 2018 4:45 am

The sources you use don't know that "aarch64" is the code name for "arm64" either you fix the code (which is what I've done in my dkms packages) or you compile the module with "ARCH=arm64".

skyfly555 wrote:But don't care about all this! You don't need to support any wifi dongles :) It's my problem :)

Maybe I don't "need" to support them, but I already "do" support them for months and years, as DKMS modules are available on my images.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby skyfly555 » Tue Apr 03, 2018 5:09 am

Thank you very much for all your ideas and support :)

I leave the wifi dongle where it is :) I think I'll save tones of time if I buy a new supported out-of-the-box dongle :)
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby skyfly555 » Tue Apr 03, 2018 8:33 pm

Hello,

Time to close this theme.

I've been checking with my Edimax N 150. It uses the same chipset than TP-LINK WN-722ND v2.
Code: Select all
Bus 001 Device 003: ID 7392:7811 Edimax Technology Co., Ltd EW-7811Un 802.11n Wireless Adapter [Realtek RTL8188CUS]


I've tried to make it work "out-of-the-box" as a Wifi client, configuring wpa_supplicant.conf
It works.

All the troubles come when I try to make it work as an AP: it's impossible with the Odroid.


I've tried to make some modifications following these instructions from Edimax https://edimax.freshdesk.com/support/solutions/articles/14000035492-how-to-resolve-ew-7811un-built-in-driver-issues-in-linux-kernel-v3-10-or-higher: no difference at all.

The only way I found with the RPi2 to get this two wifi dongles working as APs was intalling these drivers: https://www.raspberrypi.org/forums/viewtopic.php?t=62371, but they don't have any version for the kernel we are using (3.14.79+) in our Odroids with Debian.

So, I think you may be interested in this information before buying a wifi dongle to use it as an AP if you are planning to use it with Odroid C2.

Thank you,
PS I've done this with Meveric's Debian Jessie. Not with enough mental energy to check it again with Stretch.
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby meveric » Tue Apr 03, 2018 8:42 pm

I still think you're looking at the wrong end. You constantly mess around with the WLAN drivers, although they seem to work fine, rather than making sure your AP settings are correct.
To my knowledge others were able to get AP mode for different WLAN modules to work, so in general it should work.

If I have a little more time I will try it myself, so I can confirm or deny if it's working.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby skyfly555 » Wed Apr 04, 2018 12:50 am

Hello, Meveric.

I have a PDF where I explain the settings I set in RPi2, and it works great.
This is the link:
https://disq.us/url?url=https%3A%2F%2Fwww.dropbox.com%2Fs%2Ff5y1a8qw4qrghti%2FRPi-GateSentryFilter-PiHole-WIFI-AP-HTTP-Transparent-Proxy.pdf%3Fdl%3D1%3AZpkBDvB_7BRV6kqoqGHT8hIxGf8&cuid=5243175

Maybe you can have a look into it, it's intented to configure GateSentryFilter as a Wifi Hotspot, the first part of the PDF is about the wifi AP, the second one is about GateSentry, and it's the config I'm trying to use with the Odroid C2. So you only need to have a look into the first part.

I even explain the issue I faced on RPi2, the same I'm facing now with my Odroid, and how I solved it.

Thank you for your attention,
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby skyfly555 » Wed Apr 04, 2018 5:50 am

EDIT: After several reboots, it dies. Seems to be this bug: https://edimax.freshdesk.com/support/solutions/articles/14000035492-how-to-resolve-ew-7811un-built-in-driver-issues-in-linux-kernel-v3-10-or-higher --> and this workaround doesn't work to me.

**********Original post*************
Hi again.

1- I've realised Edimax an TP-LINK are different devices, because of the device ID:
Edimax:
Code: Select all
Bus 001 Device 003: ID 7392:7811 Edimax Technology Co., Ltd EW-7811Un 802.11n Wireless Adapter [Realtek RTL8188CUS]

WN722ND:
Code: Select all
Bus 001 Device 004: ID 2357:010c
.

2- Yesterday, all I did was using TP-LINK wifi dongle.
3- Today, everything I've done has been using Edimax.
4- What I've done:
a) Burn Meveric's Debian Stretch image.
b)
Code: Select all
apt-get update -y && apt-get upgrade -y && apt-get dist-upgrade –y
apt-get install linux-headers-$(uname -r) build-essential dkms git usbutils wireless-tools
apt-get install 8188eu-dkms
apt-get install firmware-realtek


When installing firmware-realtek, I get
Code: Select all
root@odroid-stretch64:~# apt-get install firmware-realtek
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  firmware-realtek
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 342 kB of archives.
After this operation, 1,147 kB of additional disk space will be used.
Get:1 http://ftp.uk.debian.org/debian stretch/non-free arm64 firmware-realtek all 20161130-3 [342 kB]
Fetched 342 kB in 0s (1,069 kB/s)   
Selecting previously unselected package firmware-realtek.
(Reading database ... 51419 files and directories currently installed.)
Preparing to unpack .../firmware-realtek_20161130-3_all.deb ...
Unpacking firmware-realtek (20161130-3) ...
Setting up firmware-realtek (20161130-3) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.130) ...
ln: failed to create hard link '/boot/initrd.img-3.16.56+.dpkg-bak' => '/boot/initrd.img-3.16.56+': Operation not permitted
update-initramfs: Generating /boot/initrd.img-3.16.56+
Image Name:   uInitrd
Created:      Tue Apr  3 20:54:30 2018
Image Type:   AArch64 Linux RAMDisk Image (uncompressed)
Data Size:    5287358 Bytes = 5163.44 kB = 5.04 MB
Load Address: 00000000
Entry Point:  00000000
/etc/initramfs-tools/scripts/local-top/c2_init.sh: 25: /etc/initramfs-tools/scripts/local-top/c2_init.sh: fbset: not found
/etc/initramfs-tools/scripts/local-top/c2_init.sh: 26: /etc/initramfs-tools/scripts/local-top/c2_init.sh: fbset: not found

An then
Code: Select all
reboot

c) Configured the AP as stated in the PDF I linked before.

With iwconfig I get:
Code: Select all
lo        no wireless extensions.

wlan0     IEEE 802.11bgn  Mode:Master  Tx-Power=20 dBm   
          Retry short limit:7   RTS thr=2347 B   Fragment thr:off
          Power Management:off
         
eth0      no wireless extensions.


And it works! AP works perfectly with Edimax, but not with TP-LINK. As I said, although they two are based on Realtek 8188EUS, they're not the same.

Thank you, Meveric, for not abandoning the issue, it gave me power to continue testing.
PS Without firmware-realtek installed Edimax doesn't work.
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby meveric » Wed Apr 04, 2018 7:11 am

infos about missing firmware can normally be seen using "dmesg" this is also a place to see if there are any issues, same as /var/log/syslog.
Both can greatly help debug an issue like this.

I'm glad you got AP mode to work finally :)
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby skyfly555 » Thu Apr 05, 2018 4:56 pm

Fortunately, I had an old wifi adapter at home, it's the famous
Code: Select all
Bus 001 Device 003: ID 0bda:8176 Realtek Semiconductor Corp. RTL8188CUS 802.11n WLAN Adapter


It's supported and, if you follow this official tutorial from odroid.com, it has to work like a charm:
https://wiki.odroid.com/accessory/connectivity/wifi/wlan_ap

The results:
1- It works;
2- When you reboot, 1 of 2 times it doesn't work (50% of chance). The workaround is:
Code: Select all
systemctl stop hostapd
systemctl start hostapd

3- With Odroid/Debian it has been an odissey (for me) to get a wifi dongle working as an AP; with RPi it was much easier.
4- I suppose the problem is that hostapd is loaded before the wifi driver.
5- I suppose, too, that this explains the error I talk about in the "EDIT" of my last post, the one before this one.
6- There is "something" in the MrEngMan drivers for Raspbian that makes possible an easy and stable config of AP and hostapd, and wifi driver, which lets you to use default settings on hostapd.conf, like "driver=nl80211", without having to use a modified version of hostapd, and so on.

Closed!
skyfly555
 
Posts: 19
Joined: Sun Nov 15, 2015 8:44 am
languages_spoken: english
ODROIDs: None yet

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Sun Aug 19, 2018 7:11 pm

Chromium is really laggy after using the HW acceleration and not usable, any fix or?
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Sun Aug 19, 2018 8:33 pm

thatchunkylad1989 wrote:Chromium is really laggy after using the HW acceleration and not usable, any fix or?

Chromium is running fine exactly the way it should be if you follow the guide on the first page and not the one you came up with back in February.

I've just tested: WebGL, YouTube, odroid forum browsing, and magazine.odroid.com articles with lots of pictures.. everything is working fine, scrolling is smoothly, no lagging.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Sun Aug 19, 2018 9:47 pm

meveric wrote:
thatchunkylad1989 wrote:Chromium is really laggy after using the HW acceleration and not usable, any fix or?

Chromium is running fine exactly the way it should be if you follow the guide on the first page and not the one you came up with back in February.

I've just tested: WebGL, YouTube, odroid forum browsing, and magazine.odroid.com articles with lots of pictures.. everything is working fine, scrolling is smoothly, no lagging.


When was the last time you done a fresh install? Chromium isn't usable here. I done exactly what it says in your OP and I'm getting a load of errors, I ran it from terminal:

lt::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.349088:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.364893:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.374068:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.383793:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.399354:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.408716:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.426138:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
Killed
odroid@odroid64:~$


I would copy it all but it's really long.
So yeah, Chromium isn't stable and I've done exactly what it says in the OP.
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Sun Aug 19, 2018 9:53 pm

Chromium is stable, that's more likely an issue with the GPU drivers/Kernel combination.
The mmap issue is sadly a known issue on the driver. Try restarting your ODROID before you start chromium.
I'll try building a new Kernel to see if that helps anything.
Once again, this has nothing to do with Chromium or the guide for it.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Sun Aug 19, 2018 9:57 pm

meveric wrote:Chromium is stable, that's more likely an issue with the GPU drivers/Kernel combination.
The mmap issue is sadly a known issue on the driver. Try restarting your ODROID before you start chromium.
I'll try building a new Kernel to see if that helps anything.
Once again, this has nothing to do with Chromium or the guide for it.


How can Chromium be stable when it's not working?
You've obviously not done a fresh install and tested it.

I've tried restarting and it's the same. .-.
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Sun Aug 19, 2018 10:03 pm

thatchunkylad1989 wrote:How can Chromium be stable when it's not working?

Cause you're unable to understand the difference between the different drivers and software components of the board.
It's like saying the ATI graphics drivers you installed on your PC housing an NVIDIA graphics cards are not working, so obviously Firefox is unstable.
One has nothing to do with the other, but still you run around claiming that's the way.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Sun Aug 19, 2018 10:09 pm

meveric wrote:
thatchunkylad1989 wrote:How can Chromium be stable when it's not working?

Cause you're unable to understand the difference between the different drivers and software components of the board.
It's like saying the ATI graphics drivers you installed on your PC housing an NVIDIA graphics cards are not working, so obviously Firefox is unstable.
One has nothing to do with the other, but still you run around claiming that's the way.


What can I do to fix it? Firefox-ESR is also unusable, I'm having to post from QupZilla.
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Mon Aug 20, 2018 3:36 am

I just wasted countless hours, wiping an SD card, flashing a new image, updating the image, installing a desktop environment, installing Chromium and do the same tests I already did on the perfectly fine working image I had before.
Guess what?
EVERYTHING WORKS!
FireFox-ESR works, but is as expected slower than Chromium, but you can browse on the forum normally, can watch youtube videos windowed up to 480p, and testing ODROID Magazine with lots of images worked fine as well, except that it needed to reload every 2 or 3 pages I scrolled down. But that is expected, as FireFox does not have hardware acceleration support.
Chromium in the other hand has and is working perfectly fine. I had to do nothing besides stetting up the flags mentioned im the first post, nothing else.. Everything was working including WebGL.

I don't know what you're doing but it seems you mess something up on the way to get this image to work, as the image and especially Chromium is working FINE!
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Mon Aug 20, 2018 8:06 pm

meveric wrote:I just wasted countless hours, wiping an SD card, flashing a new image, updating the image, installing a desktop environment, installing Chromium and do the same tests I already did on the perfectly fine working image I had before.
Guess what?
EVERYTHING WORKS!
FireFox-ESR works, but is as expected slower than Chromium, but you can browse on the forum normally, can watch youtube videos windowed up to 480p, and testing ODROID Magazine with lots of images worked fine as well, except that it needed to reload every 2 or 3 pages I scrolled down. But that is expected, as FireFox does not have hardware acceleration support.
Chromium in the other hand has and is working perfectly fine. I had to do nothing besides stetting up the flags mentioned im the first post, nothing else.. Everything was working including WebGL.

I don't know what you're doing but it seems you mess something up on the way to get this image to work, as the image and especially Chromium is working FINE!


What? why is it saying this then:

lt::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.349088:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.364893:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.374068:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.383793:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.399354:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.408716:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.426138:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
Killed
odroid@odroid64:~$


I done exactly what it says in the OP and ^ that happens.
Maybe a dying eMMC chip? Idek.

It's not working though and other people are seeing it too.
You even said in a thread that there's problems with the said error and Stretch.
You're obviously not setting it up like the OP of this thread because that's what I done and Chromium wouldn't work because of the said error.

Anyway; I'm done. odroid support sucks and when you say you have a problem, no one believes you. lol :roll: :lol:
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Mon Aug 20, 2018 8:27 pm

thatchunkylad1989 wrote:What? why is it saying this then:

Code: Select all
lt::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.349088:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.364893:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.374068:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.383793:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.399354:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.408716:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.426138:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
Killed
odroid@odroid64:~$

I have too little information to answer this, I don't know what you installed, how you installed and so on.
I tested default MATE desktop installed via setup-odroid and installed Chromium, everything went fine.
The error above is complaining about errors in GLESv2 and mmap.
mmap had known issues in the past, which was caused by the newer Kernel 3.16 compared to the old Kernel 3.14 which originally came with the C2.
Once again, this has NOTHING to do with Chromium!
You should install glmark2-es2 to test if GLESv2 is working at all.. if it does not, your image is not configured correctly and cause of this Chromium can't work either.
Once again.. driver problem NOT CHROMIUM!

thatchunkylad1989 wrote:Maybe a dying eMMC chip? Idek.

Unlikely you would encounter much more issues in that case.

thatchunkylad1989 wrote:It's not working though and other people are seeing it too.

I haven't heard any other reports yet.
thatchunkylad1989 wrote:You even said in a thread that there's problems with the said error and Stretch.

I most definitely did not, as this is an issue of the KERNEL in combination with the GPU drivers, and has nothing to do with Stretch!
thatchunkylad1989 wrote:You're obviously not setting it up like the OP

YOU obviously did not.
I started from a blank system and used the setup tools provided for the image to get everything up and running and everything worked exactly as described.

thatchunkylad1989 wrote:Anyway; I'm done. odroid support sucks and when you say you have a problem, no one believes you. lol :roll: :lol:

People wasting hours of their free time to check out complains from a SINGLE user, and you say support sucks and no one believes you???
Maybe instead of blaming everyone else for YOUR problems, you should consider the possibility that YOU do something wrong and not everyone else.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Mon Aug 20, 2018 10:33 pm

meveric wrote:
thatchunkylad1989 wrote:What? why is it saying this then:

Code: Select all
lt::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.349088:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.364893:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.374068:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.383793:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.399354:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.408716:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
mmap failed: Operation not permitted
[771:771:0819/124640.426138:ERROR:gles2_command_buffer_stub.cc(313)] ContextResult::kTransientFailure: Failed to make context current.
Killed
odroid@odroid64:~$

I have too little information to answer this, I don't know what you installed, how you installed and so on.
I tested default MATE desktop installed via setup-odroid and installed Chromium, everything went fine.
The error above is complaining about errors in GLESv2 and mmap.
mmap had known issues in the past, which was caused by the newer Kernel 3.16 compared to the old Kernel 3.14 which originally came with the C2.
Once again, this has NOTHING to do with Chromium!
You should install glmark2-es2 to test if GLESv2 is working at all.. if it does not, your image is not configured correctly and cause of this Chromium can't work either.
Once again.. driver problem NOT CHROMIUM!

thatchunkylad1989 wrote:Maybe a dying eMMC chip? Idek.

Unlikely you would encounter much more issues in that case.

thatchunkylad1989 wrote:It's not working though and other people are seeing it too.

I haven't heard any other reports yet.
thatchunkylad1989 wrote:You even said in a thread that there's problems with the said error and Stretch.

I most definitely did not, as this is an issue of the KERNEL in combination with the GPU drivers, and has nothing to do with Stretch!
thatchunkylad1989 wrote:You're obviously not setting it up like the OP

YOU obviously did not.
I started from a blank system and used the setup tools provided for the image to get everything up and running and everything worked exactly as described.

thatchunkylad1989 wrote:Anyway; I'm done. odroid support sucks and when you say you have a problem, no one believes you. lol :roll: :lol:

People wasting hours of their free time to check out complains from a SINGLE user, and you say support sucks and no one believes you???
Maybe instead of blaming everyone else for YOUR problems, you should consider the possibility that YOU do something wrong and not everyone else.


Are you high? lol
I done exactly what it says in the OP but I used the LXDE desktop and I keep getting that error and Chromium won't work. I done nothing else and installed nothing else; FYI.
I see you said you're having issues with Stretch and the mmap and now you're denying it. lmfao!!
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Mon Aug 20, 2018 11:23 pm

thatchunkylad1989 wrote:Are you high? lol

That's often what I wonder about you, the way you come to "conclusions" that are totally unrelated and if people try to explain it to you, you still deny all possibilities.
It really makes one wonder if you're unable to comprehend or if you're under influence.
It's apparent you have no understanding in the workings of the board and it's different components, still you deny every explanation of people that have deeper knowledge into the topic than you have.
Most people can use Chromium just fine, you can "for whatever reason" not, therefore the only logical conclusion for YOU "Chromium is broken"! Doesn't matter it works for everyone else, it MUST be broken, cause it's not working for YOU! *shakes head* you really seem to live in denial.

thatchunkylad1989 wrote:I done exactly what it says in the OP but I used the LXDE desktop and I keep getting that error and Chromium won't work.

See it would have been helpful if you stated right from the start that you use LXDE, that way I could have tested against this particular setup to determine if that could be the issue.
You're not helpful at all with your descriptions when people try to help solving YOUR issue.
Rather than "claiming" you did what's written in the OP it would be much more helpful pointing out the steps you HAVE done, so people can try to RECREATE your issue.
IF you actually used the script to install the desktop, there are only a few things that could be different from what other people might have done.
1. you use a different DE -> as you just now pointed out, that's actually the case as you use LXDE, although it's unlikely this causes this issue, it's a constellation that could be considered if everything else is ruled out.
2. you might have used a different framebuffer driver: MALI-DDK instead of fbturbo (which is recommended) -> not so unlikely as MALI-DDK is still present for legacy reasons (official driver from AmLogic), but everyone used fbturbo nowadays as it has much better performance, therefore MALI-DDK is mostly untested with newer images.
Also you were given hints to test if the 3D acceleration works correctly at all:
meveric wrote:You should install glmark2-es2 to test if GLESv2 is working at all.. if it does not, your image is not configured correctly and cause of this Chromium can't work either.

Which apparently you never did, but would have been more helpful than just screaming "Chromium is broken, Chromium is broken".

thatchunkylad1989 wrote:I see you said you're having issues with Stretch and the mmap and now you're denying it. lmfao!!

I don't remember saying that at, but you're free to link to that comment and I will happily correct this, and I also EXPLAINED the reason why this statement in incorrect so you can UNDERSTAND what is the actual issue rather than continue referring to false statements.

You are very ungrateful, people are trying to help you, investing time and nerves to deal with your issues (and you as a person) and all you can do is continue making false statements, completely ignoring any suggestions people give you and then claim everyone is so unhelpful and support sucks.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Mon Aug 20, 2018 11:38 pm

Well, I used FBTURBO and I used LXDE, the problem still appears. Just tested it again and the same happened. but fyi; MATE worked just fine.
Just now I've tried MATE and also installed XFCE4 and it's fine, no Chromium going mad in the terminal and HW acceleration is enabled.

Must be a problem with LXDE. I'm on Chromium right now and it's fine.

Sorry if I sounded rude...
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby thatchunkylad1989 » Thu Aug 23, 2018 5:10 am

I'm using your stretch, everything is updated and working well, chromium, deluge, uget, qbittorrent, nzbget etc. pretty pleased with it. :mrgreen:
I do have a question about Kodi 17.6 though - if I try and play something, it's just a black window... once I turn off hardware acceleration under Kodi's settings; it works just fine and plays properly.

Is this a known problem?
thatchunkylad1989
 
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4

Re: [OS] Debian Stretch

Unread postby meveric » Thu Aug 23, 2018 6:31 am

Sadly yes... It was working quite some time back with the old Kernel but currently I don't get it to work either.
Something is not working correctly.. My guess is a 32bit vs 64bit mixup.. a variable that should be 64bit is 32bit and does not deliver the correct value..
If you press "o" in Kodi while playing a video, you see some decoder information.
Using software decoding via ffmpeg, it shows some information about the pixel format of the video, but if you're using the hardware encoder, it says pixel format "Unknown" for the very same video.
As the pixel format is coming from the video itself, it should always be the same under software decoder or hardware decoder, still hardware decoder says "Unknown". It also seems to be an issue with Debian Stretch, as it worked under Debian Jessie and also seems to work under Ubuntu.. Some variables are handled differently, but I couldn't yet find out which ones it is :(
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.
User avatar
meveric
 
Posts: 9064
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1

Previous

Return to Other OS

Who is online

Users browsing this forum: No registered users and 4 guests